SDL_GetKeyboardState(3)

NAME
SDL_GetKeyboardState - Get a snapshot of the current state of the keyboard.

HEADER FILE
Defined in SDL3/SDL_keyboard.h

SYNOPSIS
#include "SDL3/SDL.h"

const Uint8* SDL_GetKeyboardState(int *numkeys);

DESCRIPTION
The pointer returned is a pointer to an internal SDL array. It will be valid for the whole lifetime of the application and should not be freed by the caller. A array element with a value of 1 means that the key is pressed and a value of 0 means that it is not. Indexes into this array are obtained by using SDL_Scancode
 values. Use SDL_PumpEvents () to update the state array. This function gives you the current state after all events have been processed, so if a key or button has been pressed and released before you process events, then the pressed state will never show up in the SDL_GetKeyboardState () calls. Note: This function doesn't take into account whether shift has been pressed or not.

FUNCTION PARAMETERS

numkeys
    if non-NULL, receives the length of the returned array

RETURN VALUE
Returns a pointer to an array of key states.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_PumpEvents(3), SDL_ResetKeyboard(3)